<?
#Старт сессии
session_start();

#Подключаем базу
include '../engine/config.php';
  
#Проверяем способ вызова файла
if ( !defined( 'MISOFT_ADMIN_DIRR' ) ) exit();

if ( !isset( $_SESSION['iduser'] ) or $config_user['account'] != 5 ) {
    echo '<div class="stabilisacion-engine"><div class="alert alert-danger" role="alert">
	  <strong>Внимание!</strong> Нарушен механизм безопасности! В силу безопасности и целостности сайта, выполнение скриптов остановлено. Ошибка №A1
	</div></div>';
	exit();
} else {
  
    if ( $_GET['func'] == 'search_user' ) {
      if ( empty( $_GET['names'] ) ) {
        $zapros = 'SELECT * FROM dynlink';
     } else {
        $zapros = 'SELECT * FROM dynlink WHERE ' . check_text( $_GET['namev'] ) . '=\'' . check_text( $_GET['names'] ) . '\'';
      }
	} else {
	  $zapros = 'SELECT * FROM dynlink';
	  $pages = '?page=adv_serf&p=';
	}
	
	$admuserpages = mysql_query( "$zapros" );
	$kolvo = 15;
	$all = mysql_num_rows( $admuserpages );
	$allpage = ceil( $all / $kolvo );
	$this_page = ( isset( $_GET['p'] ) ) ? ( int ) $_GET['p'] : 1 ;
	if ( $this_page < 1 ) $this_page = 1;
	if ( $this_page > $allpage ) $this_page = $allpage;
	$start = $this_page * $kolvo - $kolvo;
	if ( $start == -$kolvo ) { $start = 1; }
	
	if ( empty( $_GET['names'] ) ) {
      $show_dynlink = mysql_query( "$zapros LIMIT $start,$kolvo" );
	  $btn_navigation = '<div class="div_centralizator">' . navigation( 15, ( int ) $_GET['p'], $all, $pages ) . '</div>';
    } else {
      $show_dynlink = mysql_query( "$zapros " );
	  $btn_navigation = "";
    }
	
  ?>
    <script type="text/javascript">
      
      function del(e) {
		$.post('ajax_update.php?func=dynlinkdel', {
		  id: e
		}, function(data) {
		  if (data == 1) {
			location.reload()
		  }
		});
		return false;
	  }

	  function stop(e) {
		$.post('ajax_update.php?func=dynlinkstop', {
		  id: e
		}, function(data) {
		  if (data == 1) {
			location.reload()
		  }
		});
		return false;
	  }

	  function start(e) {
		$.post('ajax_update.php?func=dynlinkstart', {
		  id: e
		}, function(data) {
		  if (data == 1) {
			location.reload()
		  }
		});
		return false;
	  }

	  function search_user() {
		var a;
		var b;
		b = $('#names').val();
		a = $('#namev').val();
		if( b == '' ) {
		  location.href = "?page=adv_serf";
		} else {
		  location.href = "?page=adv_serf&func=search_user&namev=" + a +"&names=" + b;	
		}
	  }

	  function reset_search() {
		location.href = "?page=adv_serf";
	  }
    </script>
    <div class="content-wrapper">
	  <div class="container-fluid">
		<div class="row">
		  <div class="col-md-12">
		    <h2 class="page-title">Работа с рекламными площадками</h2>

			<div class="panel panel-default">
				<div class="panel-heading">Серфинг</div>
				<div class="div_centralizator">
				  <div class="search-user">
				    <table  border="0" style="">
					  <tr>
					    <td width="250"><input type="text" id="names" width="100px" class="form-control input-sm" /></td>
					    <td width="160" style="padding: 0 10px 0 10px;">
					      <select class=" " style="height: 30px; border-radius: 3px; border: 1px solid #DED6CA;" id="namev">
						    <optgroup label="Выберите критерии поиска:">
							  <option value="id">ID</option>
							  <option value="title">Название</option>
							  <option value="description">Описание</option>
							  <option value="url">УРЛ</option>
							  <option value="balance">Баланс</option>
							  <option value="iduser">Рекламодатель</option>
						    </optgroup>
						  </select>
						</td>
					    <td width="10">
						  <a href="#" class="btn btn-info btn-xs btn-fix-sm" style="" onclick="search_user();return false;">Поиск по базе</a>
						</td>
					    <td width="130">
						  <a href="#" class="btn btn-warning btn-xs btn-fix-sm" onclick="reset_search();return false;">Сброс фильтра</a>
						</td>
					  </tr>
				    </table>
				  </div>
				</div>
				
				<div class="panel-body">
				<? if( $all > 0 ) {
				  ?>
				    <table id="" class="display table table-striped table-bordered table-hover" cellspacing="0" width="100%">
					  <tbody>
					    <?
					    
					      while ( $show_dynlink_row = mysql_fetch_array( $show_dynlink ) ) { 
						
						    $btn_del = '<a href="#" class="btn btn-danger btn-xs" onclick="del('.$show_dynlink_row['id'].');return false;">Удалить</a>';
							
							if($show_dynlink_row['paused'] == 1) {
							  $btn_pusk = '<a href="#" class="btn btn-warning btn-xs" onclick="stop('.$show_dynlink_row['id'].');return false;">Остановить</a>';
							  $pause_title = '<font style="color: #77A542;"><i class="fa fa-play" aria-hidden="true"></i> Работает</font>';
							  $style_opacity = '';
							} else {
							  $btn_pusk = '<a href="#" class="btn btn-success btn-xs" onclick="start('.$show_dynlink_row['id'].');return false;">Запустить</a>';
							  $pause_title = '<font id="blink" style="color: #D65152;"><i class="fa fa-stop" aria-hidden="true"></i> Остановлена</font>';
							  $style_opacity = 'style="opacity: 0.4;"';
							}
							
							if($show_dynlink_row['testdrive'] == 1) {
							  $balance = $config['testdriveSum'] - $show_dynlink_row['visits'];	
							  $balance = 'Тест-драйв ' . $balance . ' визитов';	
							} else {
							  $balance = moneyraund( $show_dynlink_row['balance'], 4 ). ' ' .$config['valutaname'];	
							}
							
							if($show_dynlink_row['nouser'] == 1) {
							  $nouser = '<div class="nouser" title="Этот заказ был сделан пользователем, не вошедшим в свой аккаунт, то есть в не авторизации.">Заказ без регистрации</div>';	
							} else {
							  $nouser = '';	
							}
							
							
							?>	
							  <tr>
							    <td class="text_centralizator" width="100" <?=$style_opacity?>>
								  <div class="text_centralizator_table cursor-help" title="id записи в базе, рекламной площадки">
								    <?=$show_dynlink_row['id']?>
								  </div>
								</td>
							    <td class="text_centralizator" width="130">
								  <div class="text_centralizator_table">
								    <?=$pause_title?>
								  </div>
								</td>
							    <td <?=$style_opacity?>>
								  Заголовок: <?=$show_dynlink_row['title']?><br>
								  Описание: <?=$show_dynlink_row['description']?>
								  <?=$nouser?>
								</td>
							    <td class="text_centralizator" width="150" <?=$style_opacity?>>
								  <div class="text_centralizator_table cursor-help" title="Текущий баланс рекламной площадки">
								    <?=$balance?>
								  </div>
								</td>
							    <td class="text_centralizator" width="120" <?=$style_opacity?>>
								  <div class="">
								    <i class="fa fa-hand-pointer-o cursor-help" aria-hidden="true" title="Количество кликов (просмотров ссылки)"></i><br>
								    <?=$show_dynlink_row['visits']?>
								  </div>
								</td>
							    <td class="text_centralizator" width="300">
								  <div class="text_centralizator_btn" >
								    <?=$btn_pusk?>
								    <a href="?page=adv_serf_edit&id=<?=$show_dynlink_row['id']?>" target="_blank" class="btn btn-default btn-xs" >Редактировать</a>
								    <?=$btn_del?>
								  </div>
							    </td>
							  </tr>
						    <? 
						  } 
					    ?>	
					  </tbody>
				    </table>
				  <? 
				  } else {
				    ?>
					  <div class="alert alert-dismissible alert-danger">
						<button type="button" class="close" data-dismiss="alert"><i class="fa fa-remove"></i></button>
						<strong>О нет!</strong> ...ничего не найдено! Попробуйте сменить критерии поиска.
					  </div>
					<?
				  }
				  ?>
				  <div class="well">
				    <?=$btn_navigation?>
					
				  </div>
 
				</div>
			</div>
		  </div>
		</div>
	  </div>
	</div>
  <?
} 
?>